:root {
    --green-primary--: #1AC073;
    --white--: #FFFFFF;
    --yellow--: #F3BA00;
    --grey--: #929292;
    --black--: #1B1C21;
}

* {
    padding: 0;
    margin: 0;
    -webkit-box-sizing: border-box;
    -ms-box-sizing: border-box;
    box-sizing: border-box;
    font-family: 'Squada One', cursive;
    font-family: 'SF Pro Display', sans-serif;
    font-family: 'Gilroy-Bold', sans-serif;
    font-family: 'Gilroy-Heavy', sans-serif;
    font-family: 'Gilroy-Light', sans-serif;
    font-family: 'Gilroy-Medium', sans-serif;
    font-family: 'Gilroy-Regular', sans-serif;
    font-family: 'ABeeZee', sans-serif;
    font-family: 'Lexend Deca', sans-serif;
    font-family: 'Poppins', sans-serif;
}

.header-layout {
    background-color: var(--green-primary--);
    height: 100%;
}

.navbar-light .navbar-nav .active>.nav-link,
.navbar-light .navbar-nav .nav-link.active,
.navbar-light .navbar-nav .nav-link.show,
.navbar-light .navbar-nav .show>.nav-link {

    list-style-type: none;
    font-family: 'SF Pro Display', sans-serif;
    font-weight: 400;
    font-size: 1.1rem;
    line-height: 1.2rem;
    letter-spacing: -1.2%;
}

.navbar-light .navbar-brand {

    font-family: 'Squada One', cursive;
    font-weight: 400;
    font-size: 2rem;
    line-height: 1.2rem;
    letter-spacing: -1.2%;
}

.navbar-nav {
    width: 100%;
    gap: 1rem;
    justify-content: center;
}

.header-nav-icon {
    color: var(--white--);
    margin-left: 2rem;
}

.header-brand {
    margin: 0;
    padding: 0;
    color: var(--white--);
    font-family: 'Squada One', cursive;
    font-weight: 400;
    font-size: 2rem;
    line-height: 1.2rem;
    letter-spacing: -1.2%;
}

.header-body {
    background-color: var(--green-primary--);
    margin-bottom: 0;
    height: 100%;
}

.left-side,
.right-side {
    background-color: var(--green-primary--);
}

.left-side-info {
    padding-left: 2rem;
}

.left-side-text {
    margin-top: -2rem;
}

.left-side-text h2 {
    font-family: 'Gilroy-Medium', sans-serif;
    font-size: 4rem;
    line-height: 4.8rem;
    letter-spacing: -1.2%;
    color: var(--white--);
}

.left-side-text p {
    font-family: 'SF Pro Display', sans-serif;
    font-weight: 400;
    font-size: 1rem;
    line-height: 1.2rem;
    letter-spacing: -1.2%;
    color: var(--white--);
    margin-top: 1rem;
}

.right-side-img img {
    width: 85%;
    margin-top: -1.5rem;
}

.icon-search {
    margin-right: 0.7rem;
    margin-left: -2rem;
}

.left-side-search-input {
    margin-top: 2rem;
}

.left-side {
    margin-top: -1rem;
}

.left-side-search-input button {
    font-family: 'SF Pro Display', sans-serif;
    font-weight: 600;
    font-size: 1rem;
    line-height: 1.2rem;
    letter-spacing: -1.2%;
    color: var(--white--);
    height: 2.6rem;
}

.left-side-search-input input {
    font-family: 'SF Pro Display', sans-serif;
    font-weight: 400;
    font-size: 0.8rem;
    line-height: 1.2rem;
    letter-spacing: -1.2%;
    color: var(--white--);
    height: 2.6rem !important;
}

.btn-search,
.input-search {
    padding: 0;
}

.button-search {
    border-top-right-radius: 0.3rem !important;
    border-bottom-right-radius: 0.3rem !important;
    border-top-left-radius: 0 !important;
    border-bottom-left-radius: 0 !important;
}

/* KITCHEN SECTION */
.kitchen-section {
    height: 100%;
    width: 100%;
    padding: 1.5rem 8.125rem 2.8rem 8.125rem;
    background-color: #F7F8FA;
}

.message-wrap {
    position: relative;
    padding: 3rem 4rem 3rem 4rem;
    margin-bottom: 3rem;
}

.message {
    position: relative;
    z-index: 1;
}

.message h4 {
    color: #000;
    font-family: 'ABeeZee', sans-serif;
    font-size: 30px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.message p {
    color: #000;
    font-family: ABeeZee;
    font-size: 0.875rem;
    font-style: italic;
    font-weight: 400;
    line-height: normal;
}

.message-wrap::before {
    content: "";
    background-image: url(images/noodle\ 1.png);
    background-size: cover;
    position: absolute;
    top: 0px;
    right: 0px;
    bottom: 0px;
    left: 0px;
    opacity: 0.5;
}

.range-price {
    margin: 0 0 0 1rem;
}

.container-card-pizza {
    row-gap: 2.5rem;
}

.card-item-img {
    margin: 0px;
}

.div-kitchen-card {
    border-radius: 0.51rem;
}

.card-body-detail {
    padding: 0.8rem;
}

.title-item {
    font-family: 'SF Pro Display', sans-serif;
    font-weight: 700;
    font-size: 0.99rem;
    line-height: 1.2rem;
    letter-spacing: -1.2%;
    color: var(--black--);
}

.ranger-text,
.ranger-price {
    color: #262626;
    font-family: 'Lexend Deca', sans-serif;
    font-size: 1.125rem;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

#card-price {
    padding-right: 0px;
    padding-left: 0px;
}

#title-price,
.rating-text {
    color: #22262A;
    font-family: 'Poppins', sans-serif;
    font-size: 1.125rem;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    padding-left: 1.2rem
}

input[type=checkbox] {
    width: 1.4rem;
    height: 1.4rem;
}

/* .review img {
    margin-top: 0.5rem;
} */

.plus img {
    margin-top: -0.3rem;
}

.number-stars {
    align-self: center;
}

.plus {
    padding: 0px;
}

.plus-button {
    padding: 0.01rem 0.2rem;
    color: var(--white--);
    font-weight: 700;
}

.button-load-more {
    margin-top: 6.25rem;
}

/* FOOTER SECTION */

.div-icon-facebook {
    margin-right: 0.7rem;
    margin-left: -2rem;
}

.div-icon-facebook,
.div-icon-insta {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 1.5rem;
    height: 1.5rem;
    background-color: #FFFFFF;
    color: #929292;
    border-radius: 0.2rem;
}

.footer-container {
    background-color: var(--green-primary--);
}

.footer-layout {
    width: 80%;
    padding: 0;
}

.bottom-nav-icon {
    padding: 0;
}

.footer-brand {
    margin: 0;
    padding: 0;
    color: var(--white--);
    font-family: 'Squada One', cursive;
    font-weight: 400;
    font-size: 2rem;
    line-height: 1.2rem;
    letter-spacing: -1.2%;
}

.footer-layout,
.footer-copyright {
    background-color: var(--green-primary--);
}

.footer-copyright {
    display: flex;
    justify-content: center;
    border-top: 1px solid white;
    align-items: center;
    padding-top: 0.8rem;

}

.footer-copyright-text {
    color: #FFFFFF;
    font-family: 'SF Pro Display', sans-serif;
    font-size: 0.75rem;
    font-style: normal;
    font-weight: 400;
    line-height: 1.25rem;
    letter-spacing: -0.144px;
    height: 2rem;
}

/* SLIDER */
.slider-box {
    width: 270px;
    height: 146.83px;
    padding: 20px;
}

.price-span {
    font-family: 'Poppins', sans-serif;
    font-style: normal;
    font-weight: 500;
    font-size: 18px;
    line-height: 27px;
    color: #22262A;
}

.price-div {
    display: block;
    height: 23.45px;
    margin-bottom: 20.39px;
    margin-top: 20.39px;
    font-family: 'Lexend Deca', sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 18px;
    line-height: 22px;
}

.ranger-label {
    display: inline-block;
    float: left;
}

.price-label {
    display: inline-block;
    float: right;
}

.selector ul {
    position: relative;
    display: block;
    overflow: auto;
    min-width: 138px;
    max-height: 200px;
    background: #fff;
    list-style: none;
    white-space: inherit;
    padding-right: 17px;
    width: calc(100% + 17px)
}

.selector li {
    position: relative;
    padding: 3px 20px 3px 25px;
    cursor: pointer
}

.selector li:before {
    position: absolute;
    top: 50%;
    left: 0;
    top: 4px;
    display: inline-block;
    margin-right: 9px;
    width: 17px;
    height: 17px;
    background-color: #f4f4f4;
    border: 1px solid #d5d5d5;
    content: ""
}

.selector li[data-selected="1"]:before {
    border: 1px solid #d7d7d7;
    background-color: #fff
}

.selector li[data-selected="1"]:after {
    position: absolute;
    top: 50%;
    left: 3px;
    top: 11px;
    display: inline-block;
    width: 4px;
    height: 10px;
    border-right: 2px solid;
    border-bottom: 2px solid;
    background: none;
    color: #39c9a9;
    content: "";
    -webkit-transform: rotate(40deg) translateY(-50%);
    transform: rotate(40deg) translateY(-50%)
}

.selector li:hover {
    color: #aaa
}

.selector li .total {
    position: absolute;
    right: 0;
    color: #d7d7d7
}

.selector .price-slider {
    text-align: center;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    position: relative;
    padding-top: 17px
}

.selector .price-slider:before {
    position: absolute;
    top: 50%;
    left: 0;
    margin-top: 0;
    color: #39c9a9;
    content: attr(data-currency);
    -webkit-transform: translateY(-50%);
    transform: translateY(-50%)
}

.selector #slider-range {
    width: 90%;
    margin-bottom: 30px;
    border: none;
    background: #e2f7f2;
    height: 3px;
    margin-left: 8px;
    margin-right: 8px
}

.selector .ui-slider-handle {
    border-radius: 50%;
    background-color: #1AC073;
    border: none;
    top: -14px;
    width: 28px;
    height: 28px;
    outline: none
}

.selector .ui-slider-range {
    background-color: #1AC073
}

.selector .slider-price {
    position: relative;
    display: inline-block;
    padding: 5px 40px;
    width: 40%;
    background-color: #e2f7f2;
    line-height: 28px;
    text-align: center
}

.selector .slider-price:before {
    position: absolute;
    top: 50%;
    left: 13px;
    margin-top: 0;
    color: #39c9a9;
    content: attr(data-currency);
    -webkit-transform: translateY(-50%);
    transform: translateY(-50%)
}

.selector .show-all {
    position: relative;
    padding-left: 25px;
    color: #39c9a9;
    cursor: pointer;
    line-height: 28px
}

.selector .show-all:after,
.selector .show-all:before {
    content: "";
    position: absolute;
    top: 50%;
    left: 4px;
    margin-top: -1px;
    color: #39c9a9;
    width: 10px;
    border-bottom: 1px solid
}

.selector .show-all:after {
    -webkit-transform: rotate(90deg);
    transform: rotate(90deg)
}

.selector.open ul {
    max-height: none
}

.selector.open .show-all:after {
    display: none
}

/* Mobile: width <740px */
@media only screen and (max-width:739px) {

    /* HEADER SECTION */
    .right-side-img img {
        margin-left: -2.5rem
    }

    .icon-search {
        margin-right: 0.7rem;
        margin-left: -2rem;
    }

    .header-body {
        display: flex;
        flex-direction: column;
    }

    .header-body-row {
        display: flex;
        flex-direction: column;
    }

    .header-body-row>.col-sm-6 {
        -ms-flex: 0 0 100%;
        flex: 0 0 100%;
        max-width: 100%;
    }

    .header-nav-icon img {
        margin-left: 0.5rem;
    }

    .navbar-nav {
        gap: 0.5rem;
    }

    .left-side-text h2 {
        font-size: 2rem;
        line-height: 2.8rem;
    }

    html {
        font-size: 0.55rem;
    }

    .kitchen-container-input>input {
        width: 1rem;
        height: 1rem;
    }

    /* KITCHEN FILTER */
    .container-card-pizza {
        flex-direction: column;
    }

    .div-kitchen-card {
        border-radius: 1.27rem;
    }

    .kitchen-section {
        padding: 1rem 1rem 1rem 1rem;
    }

    .message-wrap {
        padding: 1rem 2rem 1rem 2rem !important;
    }

    .ranger-text,
    .ranger-price {
        font-size: 1rem;
    }

    .ranger-price {
        padding-left: 0rem;
    }

    #title-price,
    .rating-text {
        font-size: 1rem;
    }

    .review img {
        width: 1rem;
        height: 1rem;
        margin-top: 0px !important;
    }

    input[type=checkbox] {
        width: 1rem;
        height: 1rem;
    }

    .condition-wrap {
        display: flex;

    }

    .slider-box {
        width: 25rem;
    }

    .price-span,
    .price-label,
    .ranger-label,
    #input-min-price,
    #input-max-price {
        font-size: 1rem;

    }

    .card-body-detail {
        padding: 20px;
    }

    .div-kitchen-card {
        height: 80% !important;
    }

    .rating-text {
        padding-left: 20px;
    }

    .price-div {
        width: 50%;
        margin: 0;
    }

    /* FOOTER SECTION */

    .footer-layout {
        width: 90%;
    }

    .footer-brand {
        font-size: 1.5rem;
    }

    .navbar-nav {
        gap: 0rem !important;
    }
}

@media (min-width: 768px) {
    .selector .price-slider {
        padding-top: 0.5rem;
    }

    .selector #slider-range {
        width: 100%
    }

    .selector .ui-slider-handle {
        top: -0.4375rem;
        width: 1rem;
        height: 1rem;
    }
}

/* Tablet: width>=740px and width <= 1024px */
@media only screen and (min-width:740px) and (max-width:1024px) {
    .right-side-img img {
        margin-left: -2.5rem
    }

    .icon-search {
        margin-right: 0.7rem;
        margin-left: -2rem;
    }

    .header-nav-icon img {
        margin-left: 1rem;
    }

    .header-body {
        display: flex;
        flex-direction: column;
    }

    .header-body-row {
        display: flex;
        flex-direction: column;
    }

    .header-body-row>.col-sm-6 {
        -ms-flex: 0 0 100%;
        flex: 0 0 100%;
        max-width: 100%;
    }

    .header-nav-icon img {
        margin-left: 0.5rem;
    }

    .navbar-nav {
        gap: 0.5rem;
    }

    .left-side-text h2 {
        font-size: 2rem;
        line-height: 2.8rem;
    }

    /* FILTER SECTION */
    .kitchen-section {
        padding: 1rem 2rem 2rem 2rem;
    }

    .message-wrap {
        padding: 1rem 2rem 1rem 2rem !important;
        margin-bottom: 5rem;
    }

    .ranger-text,
    .ranger-price {
        font-size: 0.8rem;
    }

    #title-price,
    .rating-text {
        font-size: 1rem;
    }

    .review img {
        width: 1rem;
        height: 1rem;
        margin-top: -0.55rem;
    }

    #ranger-wrapper {
        display: flex;
        flex-direction: column;
        align-self: start;
        justify-content: start;
    }

    input[type=checkbox] {
        width: 1rem;
        height: 1rem;
    }

    /* FOOTER SECTION */
    .navbar-nav {
        gap: 0rem !important;
    }

    /* SLIDER */

    .selector #slider-range {
        width: 65%
    }

    .price-div {
        font-size: 0.9rem;
        width: 70%;
    }

    .price-span {
        font-size: 1rem;
    }
}